Skip to main content
GET
/
v1
/
phone-numbers
/
carriers
List carriers
curl --request GET \
  --url https://api.topcalls.ai/v1/phone-numbers/carriers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topcalls.ai/v1/phone-numbers/carriers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topcalls.ai/v1/phone-numbers/carriers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "carriers": [
    {
      "voip_carrier_sid": "660e8400-e29b-41d4-a716-446655440001",
      "carrier_name": "My Custom Carrier",
      "is_default": false,
      "is_system": false,
      "trunk_type": "static_ip"
    }
  ],
  "default_voip_carrier_sid": "550e8400-e29b-41d4-a716-446655440000",
  "count": 1
}
{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}
{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Response

List of carriers

carriers
object[]
default_voip_carrier_sid
string<uuid>

The default carrier UUID for this account

count
integer

Total number of carriers